﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ClickEventOnAMarker.aspx.cs"
    Inherits="CSSamples.ClickEventOnAMarker" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Click Event on a Marker</title>
    <script type="text/javascript">
        var tgMap = null;
        var OnMapCreated = function (map) {
            tgMap = map;
        }

        var removeMarkers = function () {
            if (tgMap != null) {
                markers = tgMap.getLayer('MarkerOverlay');
                if (markers.markers != null) {
                    while (markers.markers.length > 0) {
                        var currentMarker = markers.markers[0];
                        markers.removeMarker(currentMarker);
                        currentMarker.destroy();
                        removemarkercallback(currentMarker.id);
                    }
                }
            }
        }

        function ReceiveServerData(result, context) {
        }
        function removemarkercallback(arg) {
            removecallback(arg, null);
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
            </cc1:Map>
            <Description:DescriptionPanel ID="DescPanel" runat="server">
                Click the blue marker on the map to change its color.
                <br />
                <br />
                <asp:Label ID="Label1" runat="server" ForeColor="#0065ce" Text="Please click the marker on the map."></asp:Label>
                <input type="button" value="Remove" onclick="removeMarkers(); return false;" />
            </Description:DescriptionPanel>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
